[Pkg-ruby-extras-maintainers] New ruby-pkg-tools release required

Esteban Manchado Velázquez zoso at debian.org
Sun Jun 11 14:31:41 UTC 2006

On Sun, Jun 11, 2006 at 10:53:39AM +0200, Paul van Tilburg wrote:
> On Sun, Jun 11, 2006 at 07:20:14AM +0000, Paul van Tilburg wrote:
> > Author: paulvt
> > Date: 2006-06-11 07:20:13 +0000 (Sun, 11 Jun 2006)
> > New Revision: 614
> > 
> > Modified:
> >    tools/ruby-pkg-tools/trunk/debian/changelog
> > Log:
> > Added missing comma.
> Due to this missing comma, ALL packages built with ruby-package-tools
> will have a syntax error in the Uploaders field!  This seems not to be
> caught by lintian.
> We need to accelerate the release of ruby-pkg-tools.  Main goals:
> * Fix #360986.
> * Remove support for the sources file.
> * Remove support for the RUBY_TEAM variable.

    Making a few changes:

    - Finally calculate DEB_RUBY_LIBDIR from the Config, instead of having it
    - Dropping support for Ruby 1.6 (in the DEB_RUBY_VERSIONS variable)
    - Dropping support for the sources file, and doing minor clean-ups here
      and there

I'm currently looking at #360986, but I don't know how to reproduce it. I
tried compiling libnarray-ruby, but it does install its files under /usr/lib,
not /usr/local/lib (BTW, is it normal having .h files in
/usr/lib/ruby/1.8/i486-linux/ ?). Can you point me to any package that has
that problem? I'm setting sitearchdir, anyway, just in case (but haven't
committed any changes yet).

Esteban Manchado Velázquez <zoso at debian.org>
EuropeSwPatentFree - http://EuropeSwPatentFree.hispalinux.es
Help spread it through the Net in signatures, webpages, whatever!
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url : http://lists.alioth.debian.org/pipermail/pkg-ruby-extras-maintainers/attachments/20060611/b5e748fd/attachment.pgp

More information about the pkg-ruby-extras-maintainers mailing list